<template>
  <view class="main">
    <image src="@/static/image/logo.png" mode="scaleToFill" class="logo" />
    <view class="btn">
      <u-button
        v-if="isShow"
        open-type="getPhoneNumber"
        @getphonenumber="getPhoneNumber"
        color="transparent"
        text="点击登录"
      ></u-button>
    </view>
    <!-- <view class="btn">
      <u-button v-if="isLogoutShow" @click="login" color="transparent">点击登录</u-button>
    </view>-->
  </view>
</template>

<script>
export default {
  data() {
    return {
      code: "",
      openId: "",
      isShow: false,
      isNew: false
    };
  },
  methods: {
    async getPhoneNumber(e) {
      if (e.detail.errMsg == "getPhoneNumber:ok") {
        // 用户允许或去手机号
        let res = await this.$api.login.getTel({ code: e.detail.code });
        if (res.status == 0) {
          uni.setStorageSync("telNum", res.data.telNum);
          console.log(1231111111, this.isNew);
          if (this.isNew) {
            uni.reLaunch({
              url: "/pages/realName/realName"
            });
          } else {
            uni.reLaunch({
              url: "/pages/home/index"
            });
          }
        } else {
          this.$common.msgToast(res.msg);
        }
      } else {
        this.$common.msgToast("请不要拒绝哟~重新点击登录");
      }
    },
    //获取openId
    async getOpenId() {
      uni.login({
        provider: "weixin",
        success: async res => {
          console.log("res.code", res.code);
          this.code = res.code;
          let res1 = await this.$api.login.login({ code: res.code });
          if (res1.status == 0) {
            if (!res1.data.accountInfo.isNew) {
              uni.reLaunch({
                url: "/pages/home/index"
              });
            } else {
              this.isShow = true;
              this.isNew = res1.data.accountInfo.isNew;
            }
            uni.setStorageSync("token", res1.data.token);
          } else {
            this.$common.msgToast(res1.msg);
          }
        }
      });
    },
    // info判断用户是401就让他获取openId
    async info() {
      const res = await this.$api.mine.info();
      if (res.status === 0) {
        if (res.data.isNew) {
          //登录未注册
          uni.reLaunch({
            url: "/pages/realName/realName"
          });
        } else {
          //登录已注册
          uni.reLaunch({
            url: "/pages/home/index"
          });
        }
      } else if (res.status === 401) {
        this.getOpenId();
      } else {
        this.$common.msgToast(res.msg);
      }
    }
  },
  onLoad() {
    this.info();
  }
};
</script>

<style lang="scss" scoped>
/deep/.u-button {
  background: red;
}
.main {
  background: url("https://cdns.fontree.cn/fonchain-main/prod/image/1381bd18-2f0c-49f1-84f6-d3eceb94f7a7/artwork/6ef00a09-f663-451d-ae0c-0d00cf4068c5.png");
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  .logo {
    width: 237rpx;
    height: 390rpx;
  }
  uni-button:after {
    border: 0px;
  }
  .btn {
    background: transparent;
    width: 200rpx;
    position: fixed;
    bottom: 15%;
    color: #fff;
    left: 50%;
    transform: translateX(-50%);
    font-size: 30rpx;
    transition: all 1s;
    animation: jump 1s ease-in-out infinite alternate;
  }
  @keyframes jump {
    from {
      bottom: 16%;
    }
    to {
      bottom: 15%;
    }
  }
}
</style>